/* Bspl065.c */

#include <stdio.h>
#include <stdlib.h>

int vergleiche(const void*, const void*);

int main() {

	double liste[] = {13.56, 4.6, 8., 234.78, 10.678, .87};
	int i;

	printf("\nUnsortierte Liste:");
	for (i = 0; i < 6; i++)
		printf("\n%10.4f", liste[i]);
	qsort(liste, sizeof(liste)/sizeof(double), sizeof(double), vergleiche);
	printf("\n\nSortierte Liste:");
	for (i = 0; i < 6; i++)
		printf("\n%10.4f", liste[i]);
	printf("\n");
	return 0;
}

int vergleiche(const void *el1, const void *el2) {

	if (*(double *)el1 > *(double *)el2)
		return 1;
	else if (*(double *)el1 < *(double *)el2)
		return -1;
	else
		return 0;	
}