/* Bspl073.c */

#include <stdio.h>
#include <time.h>

int main() {

	time_t zeit;
	struct tm *zeitinfo;
	char strzeit[256];
	const char wt[7][3] = {"So","Mo","Di","Mi"
				,"Do","Fr","Sa"};
	const char m[12][4] = {"Jan","Feb","Mr","Apr"
				,"Mai","Jun","Jul","Aug"
				,"Sep","Okt","Nov","Dez"};

	time(&zeit);
	zeitinfo = localtime(&zeit);
	sprintf(strzeit, 
		"Es ist %3s %.3s %.2i %.2i:%.2i:%.2i %.4i\n",
		wt[zeitinfo->tm_wday],
		m[zeitinfo->tm_mon],
		zeitinfo->tm_mday,
		zeitinfo->tm_hour,
		zeitinfo->tm_min,
		zeitinfo->tm_sec,
		1900+zeitinfo->tm_year);
	printf("\n%s", strzeit);
	strftime(strzeit, 255,
		"Es ist %a %b %d %H:%M:%S %Y",
		zeitinfo);
	printf("\n%s", strzeit);
	printf("\n");
	return 0;
}

