/* Aufg029.c */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

int verglart(const void *, const void *);

struct artikel {
	char bez [26];
	double preis;
};


int main() {

	struct artikel angebot[] = {	{"LCD-Monitor", 349.},
					{"CD-Rohlinge", 5.49},
					{"Notebook", 1989.95}, 
					{"Drucker", 159.}, 
					{"Tastatur", 31.95}, 
					{"Maus", 11.95}, 
					{"PC", 1289.}}; 
	struct artikel suchartikel;
	struct artikel *ergebnis;

	printf("\n\nSuche Artikel: ");
	scanf("%s", &suchartikel.bez);
	qsort((void *)angebot, sizeof(angebot)/sizeof(struct artikel),
		sizeof(struct artikel), verglart);
	ergebnis = (struct artikel *)bsearch((void*)&suchartikel, (void *)angebot,
		sizeof(angebot)/sizeof(struct artikel),
		sizeof(struct artikel), verglart);
	if (ergebnis != NULL) {
		printf("\n%s kostet %.2f EUR.", suchartikel.bez, ergebnis->preis);
	}
	else
		printf("\nNichts gefunden.");
	printf("\n");
	return 0;
}

int verglart(const void *el1, const void *el2) {
	struct artikel *p1 = (struct artikel *)el1;
	struct artikel *p2 = (struct artikel *)el2;

	return strcmp(p1->bez, p2->bez);
}
