/* Bspl008.c */

#include <stdio.h>
#include <stdlib.h>

double quotient(double, double);
void abschluss1(void);
void abschluss2(void);

const char* danke = "Danke fr den Aufruf!";

int main(int argc, char* argv[]) {
	if (atexit(abschluss1)!=0)
		printf("\nabschluss1 nicht aktivierbar.\n");
	if (atexit(abschluss1)!=0)
		printf("\nabschluss1 nicht aktivierbar.\n");
	if (atexit(abschluss2)!=0)
		printf("\nabschluss2 nicht aktivierbar.\n");
	if (argc < 3) {
		printf("\nUsage Bspl008 <dividend> <divisor>\n");
		abort();
	}
	printf("\nDer Quotient von ");
	printf(argv[1]);
	printf(" durch ");
	printf(argv[2]);
	printf(" ist ");
	printf("%f",quotient(atof(argv[1]), atof(argv[2])));
        printf("\n");
        return EXIT_SUCCESS;
}

double quotient(double dividend, double divisor) {
	if (divisor == 0) {
		printf("Fehler: Division durch Null!\n");
		exit(EXIT_FAILURE);
	}
	return dividend/divisor;
}

void abschluss1(void) {
	printf("Auf Wiedersehen!\n");
}

void abschluss2(void) {
	printf("%s\n",danke);
}
