/* Bspl066.c */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <ctype.h>

int vergleiche(const void *, const void *);

int main() {

	char * liste[] = {"Zyklus", "braun", "Erde", "anders", "klein", "Kugel", "Ball"};
	int i;

	printf("\nUnsortierte Liste:");
	for (i = 0; i < 7; i++)
		printf("\n%s", liste[i]);
	qsort((void *)liste, sizeof(liste)/sizeof(char *), sizeof(char *), vergleiche);
	printf("\n\nSortierte Liste:");
	for (i = 0; i < 7; i++)
		printf("\n%s", liste[i]);
	printf("\n");
	return 0;
}

int vergleiche(const void *el1, const void *el2) {

	char *p1 = *(char **)el1;
	char *p2 = *(char **)el2;

	int zeichen;

	zeichen = tolower(*p1);
	while (zeichen == tolower(*p2)) {
		if (zeichen) {
			p1++;
			p2++;
		}
		else
			break;	
		zeichen = tolower(*p1);
	}	
	return zeichen - tolower(*p2);
}