/* Bspl077.c */

#include <stdio.h>
#include <locale.h>
#include <limits.h>
#include <string.h>

int main(int argc, char *argv[]) {

	struct lconv *reginfo;
	char * region;

	region = setlocale(LC_ALL, argv[1]);
	if (region == NULL)
		printf("\nFehler bei regionaler Einstellung!");
	else
		printf("\nCode fr aktuelle Einstellung:\n%s", region);
	reginfo = localeconv();
	printf("\nAuszug aus Regionalinformationen:\n");
	printf("\nInt. Whrungsangabe: %s",
		strcmp(reginfo->int_curr_symbol, "") == 0
		? "-undefiniert-" 
		: reginfo->int_curr_symbol);
	printf("\nNachkommast. bei int. Geldbetrgen: %i",
		reginfo->int_frac_digits == CHAR_MAX 
		? -1 
		: reginfo->int_frac_digits);
	printf("\n");
	return 0;
}
