/* Bspl078.c */

#include <stdio.h>
#include <locale.h>
#include <limits.h>
#include <string.h>

int intmoney(char*, double);

int main() {

	double betrag;
	char puffer[256];

	printf("\nGeldbetrag: ");
	scanf("%lf", &betrag);
	setlocale(LC_ALL, "German");
	if (intmoney(puffer, betrag) < 256)
		printf("\nBetrag ist %s", puffer);
	else
		printf("\nFehler bei Formatierung");
	printf("\n");
	return 0;
}


int intmoney(char * p, double mon) {

	struct lconv *reginfo;
	int n;

	reginfo = localeconv();
	n = sprintf(p, "%.*f %s",
		reginfo->int_frac_digits == CHAR_MAX 
		? 2
		: reginfo->int_frac_digits ,
		mon,
		strcmp(reginfo->int_curr_symbol, "") == 0
		? "???" 
		: reginfo->int_curr_symbol);
	return n;
}