/* Bspl093.c */

#include <stdio.h>
#include <string.h>

struct adr {
	char name[16];
	int plz;
	char ort[26];
};

int main() {

	struct adr adresse, such;
	FILE *fileobj;
	int found = 0;
	fpos_t pos;

	fileobj = fopen("MeineListe.dat", "r+b");
	if (fileobj == NULL) {
		perror("Fehler beim ffnen");
		return 1;
	}
	else {
		printf("\nName (max. 15 Z.)? ");
		gets(such.name);

		while (!feof(fileobj)) {
			if (fgetpos(fileobj, &pos) != 0)
				perror("Fehler bei fgetpos");
			fread(&adresse, 
				sizeof(struct adr),
				1,
				fileobj);
			if (strcmp(such.name, adresse.name) == 0) {
				found = 1;
				break;
			}
		}
		if (!found)
			printf("\nName nicht vorhanden.");
		else {
			printf("\n%s, %i %s",adresse.name,
					adresse.plz, adresse.ort);
			printf("\nNeu (PLZ Ort): ");
			scanf("%i %25s", &adresse.plz, &adresse.ort);
			if (fsetpos(fileobj, &pos) != 0) {
				perror("Fehler bei fsetpos");
				return 1;
			}
			if (fwrite(&adresse, 
				sizeof(struct adr),
				1,
				fileobj) < 1)
				perror("Fehler beim Schreiben.");
			else
				printf("\nDatei aktualisiert.");
		}
		fclose(fileobj);
	}
	printf("\n");
	return 0;
}

